Subject: Fate of the SICI URN namespace (RFC 2288)?

From: Alfred Hönes <[email-masked]>
Date: Sun, 11 Sep 2005 18:35:10 +0200 (MESZ)

Hello,

Once you have written RFC 2288 that defined three URN namespaces:
  ISSN, ISBN, and SICI.
The IANA "urn-namespaces" registry does not (and probably never
did) contain any pointers to RFC 2288.

Meanwhile, the 'ISSN' URN namespace definition has been restated
in RFC 3044, including an IANA registration -- according to and
using the template specified in RFC 2611 (BCP 33) [that in the
meantime has been obsoleted itself by RFC 3406 (BCP 66)] --,
and 'ISSN' currently appears as formal URN namespace #3 in the
IANA URN namespaces registry.

Similarly, the 'ISBN' URN namespace definition has been restated
in RFC 3187, including an IANA registration -- according to and
using the template specified in RFC 2611 --, and 'ISBN' currently
appears as formal URN namespace #9 in the IANA registry.

Now, RFC 2288 is *NOT* declared "Obsoleted" in the RFC index.
Contrary to that, the 'SICI' URN namespace does *NOT* appear
in the current IANA URN namespaces registry.
Thus the fate of the 'SICI' namespace and the status of RFC 2288
is questionable and unclear.

I suspect that RFC 2288 should be considered obsoleted, and
'SICI' should be considered deprecated.

So, what's to do in this case ?

According to my understanding of the established procedures,
the Informational RFC 2288 cannot easily be re-classified as
Historic, and a specific footnote about the deprecated 'SICI'
namespace would not be easily entered into the IANA registry.
Therefore, to make the situation clearly understandable for
everyone, it seems easiest to have the RFC-Ed add the note
   '(Obsoleted by 3044, RFC 3187)'
to the RFC index entry for RFC 2288.

Please comment.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+